
- name: Install Samba
  apt: 
    name: samba
    state: present
    install_recommends: false

- name: Configure Samba
  template:
    src: smb.conf.j2
    dest: /etc/samba/smb.conf

- name: Restart Samba Service
  command: systemctl restart sssd.service


- name: Status Samba Service
  command: service sssd status
